# socket.cc File Reference

## Detailed Description

Class wrapper to encapsulate the Blackberry USB logical socket.

Definition in file socket.cc.

`#include "socket.h"`
`#include "usbwrap.h"`
`#include "data.h"`
`#include "protocol.h"`
`#include "protostructs.h"`
`#include "endian.h"`
`#include "debug.h"`
`#include "packet.h"`
`#include "sha1.h"`
`#include <sstream>`
`#include <string.h>`

Include dependency graph for socket.cc:

Go to the source code of this file.

## Namespaces

namespace | Barry